Last Comment Bug 425726 - Unified Queries are not yet implemented, but the idl is hiding the fact.
: Unified Queries are not yet implemented, but the idl is hiding the fact.
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: All All
: P2 normal (vote)
: Firefox 3.7a1
Assigned To: Marco Bonardo [::mak]
:
: Marco Bonardo [::mak]
Mentors:
Depends on:
Blocks: 378798 509868 384226
  Show dependency treegraph
 
Reported: 2008-03-28 09:23 PDT by cmtalbert
Modified: 2009-11-26 05:57 PST (History)
4 users (show)
mbeltzner: blocking‑firefox3-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
beta1-fixed


Attachments
Specific test for this issue (5.96 KB, text/plain)
2008-03-28 09:23 PDT, cmtalbert
no flags Details
header file for test (14.71 KB, text/plain)
2008-03-28 09:23 PDT, cmtalbert
no flags Details
patch v1.0 (1.67 KB, patch)
2009-08-20 15:12 PDT, Marco Bonardo [::mak]
dietrich: review+
Details | Diff | Splinter Review

Description cmtalbert 2008-03-28 09:23:21 PDT
Created attachment 312292 [details]
Specific test for this issue

When performing a unified query over a set of history and bookmarks, the returned resultNode object is not properly contructed. the hasChildren attribute is set to true, but when you attempt to access any of those children or if you even access childCount you get the following exception thrown:
Exception... "Component returned failure code: 0x80040111 (NS_ERROR_NOT_AVAILABLE) [nsINavHistoryContainerResultNode.childCount]"  nsresult: "0x80040111 (NS_ERROR_NOT_AVAILABLE)"  location: "JS frame :: ../../../../_tests/xpcshell-simple/test_places/queries/test_onlybookmark-tags-unified.js :: run_test :: line 137"  data: no]

I will attach a test for this behavior.

Basic STR:
1. Create a database with information in both history and bookmarks
2. Query for that with a UNIFIED query.
3. Loop through the ContainerResultNode object and display all the information you queried for.

== Expected == 
Proper ResultNode object returned

== Actual ==
ResultNode object that is returned seems mis-constructed.
Comment 1 cmtalbert 2008-03-28 09:23:45 PDT
Created attachment 312293 [details]
header file for test
Comment 2 cmtalbert 2008-03-28 09:24:43 PDT
This seems like a pretty serious flaw, nominating for blocking.
Comment 3 Dietrich Ayala (:dietrich) 2008-03-28 11:08:32 PDT
not implemented. should not be exposed in the idl. was to support bug 378798, which is blocking-.
Comment 4 Mike Beltzner [:beltzner, not reading bugmail] 2008-03-28 11:47:01 PDT
This does not block the final release of Firefox 3.
Comment 5 cmtalbert 2008-03-28 17:12:01 PDT
(In reply to comment #3)
> not implemented. should not be exposed in the idl. was to support bug 378798,
> which is blocking-.
> 
I saw that bug, but I read it as "unified queries are not going to be exposed in the UI". Sorry for duping it.

Can we use this bug to land a fix that comments out that part of the IDL? 

The option is not used in any critical code:
http://mxr.mozilla.org/mozilla/search?string=QUERY_TYPE_UNIFIED
Comment 6 Marco Bonardo [::mak] 2009-08-20 15:12:53 PDT
Created attachment 395687 [details] [diff] [review]
patch v1.0

i just added 2 comments, to avoid idl and uuid changes.
LEt me know if you want to comment them out and update uuid instead.
Comment 7 Dietrich Ayala (:dietrich) 2009-08-20 15:38:36 PDT
Comment on attachment 395687 [details] [diff] [review]
patch v1.0

hrm. yeah, better than breaking compat for this, r=me.
Comment 8 Marco Bonardo [::mak] 2009-08-21 03:15:29 PDT
http://hg.mozilla.org/mozilla-central/rev/6f223f020757
Comment 9 Marco Bonardo [::mak] 2009-09-14 10:20:54 PDT
http://hg.mozilla.org/releases/mozilla-1.9.2/rev/2347779112f9
Comment 10 Gervase Markham [:gerv] 2009-11-26 05:57:56 PST
Bug 451915 - move Firefox/Places bugs to Firefox/Bookmarks and History. Remove all bugspam from this move by filtering for the string "places-to-b-and-h".

In Thunderbird 3.0b, you do that as follows:
Tools | Message Filters
Make sure the correct account is selected. Click "New"
Conditions: Body   contains   places-to-b-and-h
Change the action to "Delete Message".
Select "Manually Run" from the dropdown at the top.
Click OK.

Select the filter in the list, make sure "Inbox" is selected at the bottom, and click "Run Now". This should delete all the bugspam. You can then delete the filter.

Gerv

Note You need to log in before you can comment on or make changes to this bug.